## org.jfree.report.modules.factories.report.flow
Class DatasourceFactoryReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.jfree.report.modules.factories.report.flow.DatasourceFactoryReadHandler

All Implemented Interfaces:
  DataFactoryReadHandler, org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

    public class DatasourceFactoryReadHandler

extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
implements DataFactoryReadHandler

Creation-Date: 10.04.2006, 13:27:47

Author:
  Thomas Morgner

Constructor Summary
`DatasourceFactoryReadHandler()`

Method Summary
`ReportDataFactory` `getDataFactory()`
`java.lang.Object` `getObject()` Returns the object for this element or null, if this element does not create an object.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`characters, deriveParseParameters, doneParsing, endElement, getHandlerForChild, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler
`characters, endElement, init, startElement`

Constructor Detail

### DatasourceFactoryReadHandler

    public DatasourceFactoryReadHandler()

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getDataFactory

    public ReportDataFactory getDataFactory()

  Specified by:
    `getDataFactory` in interface `DataFactoryReadHandler`

### getObject

    public java.lang.Object getObject()
                               throws org.xml.sax.SAXException

  Returns the object for this element or null, if this element does not create an object.

  Specified by:
    `getObject` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
  Returns:
    the object.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.